Loading...
Searching...
No Matches
OpenMesh::Decimater::ModIndependentSetsT< MeshT > Class Template Reference

Lock one-ring around remaining vertex after a collapse to prevent further collapses of halfedges incident to the one-ring vertices. More...

`#include <OpenMesh/Tools/Decimater/ModIndependentSetsT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModIndependentSetsT< MeshT >:
[legend]
Collaboration diagram for OpenMesh::Decimater::ModIndependentSetsT< MeshT >:
[legend]

## Public Types

typedef ModIndependentSetsT< MeshT > | Self
typedef OpenMesh::Decimater::ModHandleT< Self > | Handle
typedef OpenMesh::Decimater::ModBaseT< MeshT > | Base
typedef Base::Mesh | Mesh
typedef Base::CollapseInfo | CollapseInfo
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1 , LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo

## Public Member Functions

virtual const std::string & | name () const override
| Set module's name.
| ModIndependentSetsT (MeshT &_mesh)
| Constructor.
void | postprocess_collapse (const CollapseInfo &_ci) override
| override
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | initialize ()
| Initialize module-internal stuff.
virtual float | collapse_priority (const CollapseInfoT< MeshT > &)
| Return collapse priority.
virtual void | preprocess_collapse (const CollapseInfoT< MeshT > &)
| Before _from_vh has been collapsed into _to_vh, this method will be called.
virtual void | postprocess_collapse (const CollapseInfoT< MeshT > &)
| After _from_vh has been collapsed into _to_vh, this method will be called.
virtual void | set_error_tolerance_factor (double _factor)
| This provides a function that allows the setting of a percentage of the original contraint.

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
| Default constructor.
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

## Detailed Description

template<class MeshT>
class OpenMesh::Decimater::ModIndependentSetsT< MeshT >

Lock one-ring around remaining vertex after a collapse to prevent further collapses of halfedges incident to the one-ring vertices.

## Member Function Documentation

## name()

template<class MeshT >

virtual const std::string & OpenMesh::Decimater::ModIndependentSetsT< MeshT >::name | ( |  | ) | const

inline override virtual

Set module's name.

Reimplemented from OpenMesh::Decimater::ModBaseT< MeshT >.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Decimater/ModIndependentSetsT.hh